Happy Holidays ... I have trouble following install directions : - )

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Happy Holidays ... I have trouble following install directions : - )

onefastdaddy
I have found time to invest back into Paparazzi things and thought I
would try downloading and installing on my laptop. The OS is Ubuntu
19.10 downloaded from Ubuntu. Not many extra things.

I went to the Wiki and tried the 1-liner and failed. I will gladly fix
the 1-liner if I can get help getting things working so I can know
what went wrong. Hopefully something easily fixed?

Here's what I did from my terminal:
avid@matrix:~/Downloads/paparazzi-master$ sudo add-apt-repository -y
ppa:paparazzi-uav/ppa && sudo add-apt-repository -y
ppa:team-gcc-arm-embedded/ppa && sudo apt-get update && sudo apt-get
-f -y install paparazzi-dev paparazzi-jsbsim gcc-arm-embedded && cd ~
&& git clone --origin upstream
https://github.com/paparazzi/paparazzi.git && cd ~/paparazzi && git
remote update -p && git checkout -b v5.14 upstream/v5.14 && sudo cp
conf/system/udev/rules/*.rules /etc/udev/rules.d/ && sudo udevadm
control --reload-rules && make && ./paparazzi
Hit:1 http://security.ubuntu.com/ubuntu eoan-security InRelease
Hit:2 http://archive.ubuntu.com/ubuntu eoan InRelease
Ign:3 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan InRelease
Hit:4 http://ppa.launchpad.net/system76-dev/stable/ubuntu eoan InRelease
Err:5 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan Release
  404  Not Found [IP: 91.189.95.83 80]
Reading package lists... Done
E: The repository 'http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu
eoan Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is
therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user
configuration details.

I have searched archives but maybe to promote acceptance we can fix
this install guide to work with Linux again? If I need another Distro
that does work let me know I'm not married to Ubuntu.

_______________________________________________
Paparazzi-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
Reply | Threaded
Open this post in threaded view
|

Re: Happy Holidays ... I have trouble following install directions : - )

Hector Garcia de Marina-2
Hi David,

It seems that Ubuntu 19.10 aka "eoan" is missing at http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu/dists/ .

You may use the latest Ubuntu LTS 18.04. It should be fine.

On Sat, Dec 14, 2019 at 10:31 PM David Conger <[hidden email]> wrote:
I have found time to invest back into Paparazzi things and thought I
would try downloading and installing on my laptop. The OS is Ubuntu
19.10 downloaded from Ubuntu. Not many extra things.

I went to the Wiki and tried the 1-liner and failed. I will gladly fix
the 1-liner if I can get help getting things working so I can know
what went wrong. Hopefully something easily fixed?

Here's what I did from my terminal:
avid@matrix:~/Downloads/paparazzi-master$ sudo add-apt-repository -y
ppa:paparazzi-uav/ppa && sudo add-apt-repository -y
ppa:team-gcc-arm-embedded/ppa && sudo apt-get update && sudo apt-get
-f -y install paparazzi-dev paparazzi-jsbsim gcc-arm-embedded && cd ~
&& git clone --origin upstream
https://github.com/paparazzi/paparazzi.git && cd ~/paparazzi && git
remote update -p && git checkout -b v5.14 upstream/v5.14 && sudo cp
conf/system/udev/rules/*.rules /etc/udev/rules.d/ && sudo udevadm
control --reload-rules && make && ./paparazzi
Hit:1 http://security.ubuntu.com/ubuntu eoan-security InRelease
Hit:2 http://archive.ubuntu.com/ubuntu eoan InRelease
Ign:3 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan InRelease
Hit:4 http://ppa.launchpad.net/system76-dev/stable/ubuntu eoan InRelease
Err:5 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan Release
  404  Not Found [IP: 91.189.95.83 80]
Reading package lists... Done
E: The repository 'http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu
eoan Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is
therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user
configuration details.

I have searched archives but maybe to promote acceptance we can fix
this install guide to work with Linux again? If I need another Distro
that does work let me know I'm not married to Ubuntu.

_______________________________________________
Paparazzi-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/paparazzi-devel


--
Héctor García de Marina

Personal website: https://sites.google.com/view/hgdemarina
Team member in the open-source UAV hardware and software project Paparazzi: https://wiki.paparazziuav.org

_______________________________________________
Paparazzi-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
Reply | Threaded
Open this post in threaded view
|

Re: Happy Holidays ... I have trouble following install directions : - )

onefastdaddy
ah, ok, I am ok with the easy path to succeed here : - )

I appreciate your reply thank you.

On Sun, Dec 15, 2019 at 12:20 AM Hector Garcia de Marina
<[hidden email]> wrote:

>
> Hi David,
>
> It seems that Ubuntu 19.10 aka "eoan" is missing at http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu/dists/ .
>
> You may use the latest Ubuntu LTS 18.04. It should be fine.
>
> On Sat, Dec 14, 2019 at 10:31 PM David Conger <[hidden email]> wrote:
>>
>> I have found time to invest back into Paparazzi things and thought I
>> would try downloading and installing on my laptop. The OS is Ubuntu
>> 19.10 downloaded from Ubuntu. Not many extra things.
>>
>> I went to the Wiki and tried the 1-liner and failed. I will gladly fix
>> the 1-liner if I can get help getting things working so I can know
>> what went wrong. Hopefully something easily fixed?
>>
>> Here's what I did from my terminal:
>> avid@matrix:~/Downloads/paparazzi-master$ sudo add-apt-repository -y
>> ppa:paparazzi-uav/ppa && sudo add-apt-repository -y
>> ppa:team-gcc-arm-embedded/ppa && sudo apt-get update && sudo apt-get
>> -f -y install paparazzi-dev paparazzi-jsbsim gcc-arm-embedded && cd ~
>> && git clone --origin upstream
>> https://github.com/paparazzi/paparazzi.git && cd ~/paparazzi && git
>> remote update -p && git checkout -b v5.14 upstream/v5.14 && sudo cp
>> conf/system/udev/rules/*.rules /etc/udev/rules.d/ && sudo udevadm
>> control --reload-rules && make && ./paparazzi
>> Hit:1 http://security.ubuntu.com/ubuntu eoan-security InRelease
>> Hit:2 http://archive.ubuntu.com/ubuntu eoan InRelease
>> Ign:3 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan InRelease
>> Hit:4 http://ppa.launchpad.net/system76-dev/stable/ubuntu eoan InRelease
>> Err:5 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan Release
>>   404  Not Found [IP: 91.189.95.83 80]
>> Reading package lists... Done
>> E: The repository 'http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu
>> eoan Release' does not have a Release file.
>> N: Updating from such a repository can't be done securely, and is
>> therefore disabled by default.
>> N: See apt-secure(8) manpage for repository creation and user
>> configuration details.
>>
>> I have searched archives but maybe to promote acceptance we can fix
>> this install guide to work with Linux again? If I need another Distro
>> that does work let me know I'm not married to Ubuntu.
>>
>> _______________________________________________
>> Paparazzi-devel mailing list
>> [hidden email]
>> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
>
>
>
> --
> Héctor García de Marina
>
> Personal website: https://sites.google.com/view/hgdemarina
> Team member in the open-source UAV hardware and software project Paparazzi: https://wiki.paparazziuav.org
> _______________________________________________
> Paparazzi-devel mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel

_______________________________________________
Paparazzi-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
Reply | Threaded
Open this post in threaded view
|

Re: Happy Holidays ... I have trouble following install directions : - )

Gautier Hattenberger-3
Hello,

Actually, the big issue is not to set the paparazzi packages for 19.10,
but that since 19.04 one of the lib (in fact the ocaml binding to a
gnome lib) is not supported anymore, so we can't compile the ground
station for these versions of Ubunutu.

Alternatives are to do an opam install of relevant ocaml packages (more
or less following the raspberry install procedure) or we provide our own
package as a replacement (I have started looking at this option but it
is not ready yet).

Gautier

Le 15/12/2019 à 20:47, David Conger a écrit :

> ah, ok, I am ok with the easy path to succeed here : - )
>
> I appreciate your reply thank you.
>
> On Sun, Dec 15, 2019 at 12:20 AM Hector Garcia de Marina
> <[hidden email]> wrote:
>> Hi David,
>>
>> It seems that Ubuntu 19.10 aka "eoan" is missing at http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu/dists/ .
>>
>> You may use the latest Ubuntu LTS 18.04. It should be fine.
>>
>> On Sat, Dec 14, 2019 at 10:31 PM David Conger <[hidden email]> wrote:
>>> I have found time to invest back into Paparazzi things and thought I
>>> would try downloading and installing on my laptop. The OS is Ubuntu
>>> 19.10 downloaded from Ubuntu. Not many extra things.
>>>
>>> I went to the Wiki and tried the 1-liner and failed. I will gladly fix
>>> the 1-liner if I can get help getting things working so I can know
>>> what went wrong. Hopefully something easily fixed?
>>>
>>> Here's what I did from my terminal:
>>> avid@matrix:~/Downloads/paparazzi-master$ sudo add-apt-repository -y
>>> ppa:paparazzi-uav/ppa && sudo add-apt-repository -y
>>> ppa:team-gcc-arm-embedded/ppa && sudo apt-get update && sudo apt-get
>>> -f -y install paparazzi-dev paparazzi-jsbsim gcc-arm-embedded && cd ~
>>> && git clone --origin upstream
>>> https://github.com/paparazzi/paparazzi.git && cd ~/paparazzi && git
>>> remote update -p && git checkout -b v5.14 upstream/v5.14 && sudo cp
>>> conf/system/udev/rules/*.rules /etc/udev/rules.d/ && sudo udevadm
>>> control --reload-rules && make && ./paparazzi
>>> Hit:1 http://security.ubuntu.com/ubuntu eoan-security InRelease
>>> Hit:2 http://archive.ubuntu.com/ubuntu eoan InRelease
>>> Ign:3 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan InRelease
>>> Hit:4 http://ppa.launchpad.net/system76-dev/stable/ubuntu eoan InRelease
>>> Err:5 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan Release
>>>   404  Not Found [IP: 91.189.95.83 80]
>>> Reading package lists... Done
>>> E: The repository 'http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu
>>> eoan Release' does not have a Release file.
>>> N: Updating from such a repository can't be done securely, and is
>>> therefore disabled by default.
>>> N: See apt-secure(8) manpage for repository creation and user
>>> configuration details.
>>>
>>> I have searched archives but maybe to promote acceptance we can fix
>>> this install guide to work with Linux again? If I need another Distro
>>> that does work let me know I'm not married to Ubuntu.
>>>
>>> _______________________________________________
>>> Paparazzi-devel mailing list
>>> [hidden email]
>>> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
>>
>>
>> --
>> Héctor García de Marina
>>
>> Personal website: https://sites.google.com/view/hgdemarina
>> Team member in the open-source UAV hardware and software project Paparazzi: https://wiki.paparazziuav.org
>> _______________________________________________
>> Paparazzi-devel mailing list
>> [hidden email]
>> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
> _______________________________________________
> Paparazzi-devel mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel


_______________________________________________
Paparazzi-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
Reply | Threaded
Open this post in threaded view
|

Re: Happy Holidays ... I have trouble following install directions : - )

onefastdaddy
Hello Gautier...
I did not mention earlier but I did try the opam route ... without
success seems Ivy issue but I could not find success with searching
archives.
david@matrix:~$ opam list
# Packages matching: installed
# Name             # Installed # Synopsis
base-bigarray      base
base-bytes         base        Bytes library distributed with the OCaml compiler
base-threads       base
base-unix          base
base-unsafe-string base        A pseudo-library to indicate OCaml
versions that equate 'string' and 'bytes' (by default)
camlp4             4.05+system Camlp4 is a system for writing
extensible parsers for programming languages
conf-glade         2           Virtual package relying on a libglade
system installation
conf-glib-2        1           Virtual package relying on a system
GLib 2 installation
conf-libpcre       1           Virtual package relying on a libpcre
system installation
conf-m4            1           Virtual package relying on m4
conf-pkg-config    1.1         Virtual package relying on pkg-config
installation
conf-tk            1           Virtual package relying on tk
ivy                1.3.1       This OCaml-library interfaces the Ivy
software bus C-library.
lablgtk            2.18.8      OCaml interface to GTK+
ocaml              4.05.0      The OCaml compiler (virtual package)
ocaml-config       1           OCaml Switch Configuration
ocaml-system       4.05.0      The OCaml compiler (system version,
from outside of opam)
ocamlbuild         0.14.0      OCamlbuild is a build system with
builtin rules to easily build most OCaml projects.
ocamlfind          1.8.1       A library manager for OCaml
ocamlnet           4.1.6       Internet protocols (HTTP, CGI, e-mail
etc.) and helper data structures
xml-light          2.4         Xml-Light is a minimal XML parser &
printer for OCaml

Got the paparazz-dev from the do it all yourself info...I am happy to
hack away and did for hours but well it would be faster to just
reinstall the OS that is supported so it's ok.

I am not strongly attached to any Linux distro so to be honest if
there is one that is just easier than another I'm backing up my files
down to install it. I will make sure it's an 18.xx if it's Ubuntu
based. : - )

FWIW: For work I write a lot of Python3 things now mostly database
interactions things with Oracle using cx_Oracle but json and re and
other fun things inside to do automation things. Once installed and
working I hope to dig inside and see if there are low hanging fruit I
can be helpful with. I need something challenging to force me to learn
more complex Python things. If you can name something that is needing
attention let me know I'll be glad to work on it.

-DC

On Sun, Dec 15, 2019 at 12:23 PM Gautier Hattenberger
<[hidden email]> wrote:

>
> Hello,
>
> Actually, the big issue is not to set the paparazzi packages for 19.10,
> but that since 19.04 one of the lib (in fact the ocaml binding to a
> gnome lib) is not supported anymore, so we can't compile the ground
> station for these versions of Ubunutu.
>
> Alternatives are to do an opam install of relevant ocaml packages (more
> or less following the raspberry install procedure) or we provide our own
> package as a replacement (I have started looking at this option but it
> is not ready yet).
>
> Gautier
>
> Le 15/12/2019 à 20:47, David Conger a écrit :
> > ah, ok, I am ok with the easy path to succeed here : - )
> >
> > I appreciate your reply thank you.
> >
> > On Sun, Dec 15, 2019 at 12:20 AM Hector Garcia de Marina
> > <[hidden email]> wrote:
> >> Hi David,
> >>
> >> It seems that Ubuntu 19.10 aka "eoan" is missing at http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu/dists/ .
> >>
> >> You may use the latest Ubuntu LTS 18.04. It should be fine.
> >>
> >> On Sat, Dec 14, 2019 at 10:31 PM David Conger <[hidden email]> wrote:
> >>> I have found time to invest back into Paparazzi things and thought I
> >>> would try downloading and installing on my laptop. The OS is Ubuntu
> >>> 19.10 downloaded from Ubuntu. Not many extra things.
> >>>
> >>> I went to the Wiki and tried the 1-liner and failed. I will gladly fix
> >>> the 1-liner if I can get help getting things working so I can know
> >>> what went wrong. Hopefully something easily fixed?
> >>>
> >>> Here's what I did from my terminal:
> >>> avid@matrix:~/Downloads/paparazzi-master$ sudo add-apt-repository -y
> >>> ppa:paparazzi-uav/ppa && sudo add-apt-repository -y
> >>> ppa:team-gcc-arm-embedded/ppa && sudo apt-get update && sudo apt-get
> >>> -f -y install paparazzi-dev paparazzi-jsbsim gcc-arm-embedded && cd ~
> >>> && git clone --origin upstream
> >>> https://github.com/paparazzi/paparazzi.git && cd ~/paparazzi && git
> >>> remote update -p && git checkout -b v5.14 upstream/v5.14 && sudo cp
> >>> conf/system/udev/rules/*.rules /etc/udev/rules.d/ && sudo udevadm
> >>> control --reload-rules && make && ./paparazzi
> >>> Hit:1 http://security.ubuntu.com/ubuntu eoan-security InRelease
> >>> Hit:2 http://archive.ubuntu.com/ubuntu eoan InRelease
> >>> Ign:3 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan InRelease
> >>> Hit:4 http://ppa.launchpad.net/system76-dev/stable/ubuntu eoan InRelease
> >>> Err:5 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan Release
> >>>   404  Not Found [IP: 91.189.95.83 80]
> >>> Reading package lists... Done
> >>> E: The repository 'http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu
> >>> eoan Release' does not have a Release file.
> >>> N: Updating from such a repository can't be done securely, and is
> >>> therefore disabled by default.
> >>> N: See apt-secure(8) manpage for repository creation and user
> >>> configuration details.
> >>>
> >>> I have searched archives but maybe to promote acceptance we can fix
> >>> this install guide to work with Linux again? If I need another Distro
> >>> that does work let me know I'm not married to Ubuntu.
> >>>
> >>> _______________________________________________
> >>> Paparazzi-devel mailing list
> >>> [hidden email]
> >>> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
> >>
> >>
> >> --
> >> Héctor García de Marina
> >>
> >> Personal website: https://sites.google.com/view/hgdemarina
> >> Team member in the open-source UAV hardware and software project Paparazzi: https://wiki.paparazziuav.org
> >> _______________________________________________
> >> Paparazzi-devel mailing list
> >> [hidden email]
> >> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
> > _______________________________________________
> > Paparazzi-devel mailing list
> > [hidden email]
> > https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
>
>
> _______________________________________________
> Paparazzi-devel mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel

_______________________________________________
Paparazzi-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
Reply | Threaded
Open this post in threaded view
|

Re: Happy Holidays ... I have trouble following install directions : - )

onefastdaddy
In reply to this post by Gautier Hattenberger-3
It's working.

1. Download install Ubuntu 18.04 LTE
2. Follow install instructions

Awesome.

-DC

On Sun, Dec 15, 2019 at 12:23 PM Gautier Hattenberger
<[hidden email]> wrote:

>
> Hello,
>
> Actually, the big issue is not to set the paparazzi packages for 19.10,
> but that since 19.04 one of the lib (in fact the ocaml binding to a
> gnome lib) is not supported anymore, so we can't compile the ground
> station for these versions of Ubunutu.
>
> Alternatives are to do an opam install of relevant ocaml packages (more
> or less following the raspberry install procedure) or we provide our own
> package as a replacement (I have started looking at this option but it
> is not ready yet).
>
> Gautier
>
> Le 15/12/2019 à 20:47, David Conger a écrit :
> > ah, ok, I am ok with the easy path to succeed here : - )
> >
> > I appreciate your reply thank you.
> >
> > On Sun, Dec 15, 2019 at 12:20 AM Hector Garcia de Marina
> > <[hidden email]> wrote:
> >> Hi David,
> >>
> >> It seems that Ubuntu 19.10 aka "eoan" is missing at http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu/dists/ .
> >>
> >> You may use the latest Ubuntu LTS 18.04. It should be fine.
> >>
> >> On Sat, Dec 14, 2019 at 10:31 PM David Conger <[hidden email]> wrote:
> >>> I have found time to invest back into Paparazzi things and thought I
> >>> would try downloading and installing on my laptop. The OS is Ubuntu
> >>> 19.10 downloaded from Ubuntu. Not many extra things.
> >>>
> >>> I went to the Wiki and tried the 1-liner and failed. I will gladly fix
> >>> the 1-liner if I can get help getting things working so I can know
> >>> what went wrong. Hopefully something easily fixed?
> >>>
> >>> Here's what I did from my terminal:
> >>> avid@matrix:~/Downloads/paparazzi-master$ sudo add-apt-repository -y
> >>> ppa:paparazzi-uav/ppa && sudo add-apt-repository -y
> >>> ppa:team-gcc-arm-embedded/ppa && sudo apt-get update && sudo apt-get
> >>> -f -y install paparazzi-dev paparazzi-jsbsim gcc-arm-embedded && cd ~
> >>> && git clone --origin upstream
> >>> https://github.com/paparazzi/paparazzi.git && cd ~/paparazzi && git
> >>> remote update -p && git checkout -b v5.14 upstream/v5.14 && sudo cp
> >>> conf/system/udev/rules/*.rules /etc/udev/rules.d/ && sudo udevadm
> >>> control --reload-rules && make && ./paparazzi
> >>> Hit:1 http://security.ubuntu.com/ubuntu eoan-security InRelease
> >>> Hit:2 http://archive.ubuntu.com/ubuntu eoan InRelease
> >>> Ign:3 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan InRelease
> >>> Hit:4 http://ppa.launchpad.net/system76-dev/stable/ubuntu eoan InRelease
> >>> Err:5 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan Release
> >>>   404  Not Found [IP: 91.189.95.83 80]
> >>> Reading package lists... Done
> >>> E: The repository 'http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu
> >>> eoan Release' does not have a Release file.
> >>> N: Updating from such a repository can't be done securely, and is
> >>> therefore disabled by default.
> >>> N: See apt-secure(8) manpage for repository creation and user
> >>> configuration details.
> >>>
> >>> I have searched archives but maybe to promote acceptance we can fix
> >>> this install guide to work with Linux again? If I need another Distro
> >>> that does work let me know I'm not married to Ubuntu.
> >>>
> >>> _______________________________________________
> >>> Paparazzi-devel mailing list
> >>> [hidden email]
> >>> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
> >>
> >>
> >> --
> >> Héctor García de Marina
> >>
> >> Personal website: https://sites.google.com/view/hgdemarina
> >> Team member in the open-source UAV hardware and software project Paparazzi: https://wiki.paparazziuav.org
> >> _______________________________________________
> >> Paparazzi-devel mailing list
> >> [hidden email]
> >> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
> > _______________________________________________
> > Paparazzi-devel mailing list
> > [hidden email]
> > https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
>
>
> _______________________________________________
> Paparazzi-devel mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel

_______________________________________________
Paparazzi-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
Reply | Threaded
Open this post in threaded view
|

Re: Happy Holidays ... I have trouble following install directions : - )

Hector Garcia de Marina-2
Remember to do not upgrade to the next LTS until the issue with ocaml and gnome is solved :P.

Thanks Gautier, I totally forgot about it and I was convinced to upgrade my LTS this Spring xD

On Mon, Dec 16, 2019 at 2:33 AM David Conger <[hidden email]> wrote:
It's working.

1. Download install Ubuntu 18.04 LTE
2. Follow install instructions

Awesome.

-DC

On Sun, Dec 15, 2019 at 12:23 PM Gautier Hattenberger
<[hidden email]> wrote:
>
> Hello,
>
> Actually, the big issue is not to set the paparazzi packages for 19.10,
> but that since 19.04 one of the lib (in fact the ocaml binding to a
> gnome lib) is not supported anymore, so we can't compile the ground
> station for these versions of Ubunutu.
>
> Alternatives are to do an opam install of relevant ocaml packages (more
> or less following the raspberry install procedure) or we provide our own
> package as a replacement (I have started looking at this option but it
> is not ready yet).
>
> Gautier
>
> Le 15/12/2019 à 20:47, David Conger a écrit :
> > ah, ok, I am ok with the easy path to succeed here : - )
> >
> > I appreciate your reply thank you.
> >
> > On Sun, Dec 15, 2019 at 12:20 AM Hector Garcia de Marina
> > <[hidden email]> wrote:
> >> Hi David,
> >>
> >> It seems that Ubuntu 19.10 aka "eoan" is missing at http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu/dists/ .
> >>
> >> You may use the latest Ubuntu LTS 18.04. It should be fine.
> >>
> >> On Sat, Dec 14, 2019 at 10:31 PM David Conger <[hidden email]> wrote:
> >>> I have found time to invest back into Paparazzi things and thought I
> >>> would try downloading and installing on my laptop. The OS is Ubuntu
> >>> 19.10 downloaded from Ubuntu. Not many extra things.
> >>>
> >>> I went to the Wiki and tried the 1-liner and failed. I will gladly fix
> >>> the 1-liner if I can get help getting things working so I can know
> >>> what went wrong. Hopefully something easily fixed?
> >>>
> >>> Here's what I did from my terminal:
> >>> avid@matrix:~/Downloads/paparazzi-master$ sudo add-apt-repository -y
> >>> ppa:paparazzi-uav/ppa && sudo add-apt-repository -y
> >>> ppa:team-gcc-arm-embedded/ppa && sudo apt-get update && sudo apt-get
> >>> -f -y install paparazzi-dev paparazzi-jsbsim gcc-arm-embedded && cd ~
> >>> && git clone --origin upstream
> >>> https://github.com/paparazzi/paparazzi.git && cd ~/paparazzi && git
> >>> remote update -p && git checkout -b v5.14 upstream/v5.14 && sudo cp
> >>> conf/system/udev/rules/*.rules /etc/udev/rules.d/ && sudo udevadm
> >>> control --reload-rules && make && ./paparazzi
> >>> Hit:1 http://security.ubuntu.com/ubuntu eoan-security InRelease
> >>> Hit:2 http://archive.ubuntu.com/ubuntu eoan InRelease
> >>> Ign:3 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan InRelease
> >>> Hit:4 http://ppa.launchpad.net/system76-dev/stable/ubuntu eoan InRelease
> >>> Err:5 http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu eoan Release
> >>>   404  Not Found [IP: 91.189.95.83 80]
> >>> Reading package lists... Done
> >>> E: The repository 'http://ppa.launchpad.net/paparazzi-uav/ppa/ubuntu
> >>> eoan Release' does not have a Release file.
> >>> N: Updating from such a repository can't be done securely, and is
> >>> therefore disabled by default.
> >>> N: See apt-secure(8) manpage for repository creation and user
> >>> configuration details.
> >>>
> >>> I have searched archives but maybe to promote acceptance we can fix
> >>> this install guide to work with Linux again? If I need another Distro
> >>> that does work let me know I'm not married to Ubuntu.
> >>>
> >>> _______________________________________________
> >>> Paparazzi-devel mailing list
> >>> [hidden email]
> >>> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
> >>
> >>
> >> --
> >> Héctor García de Marina
> >>
> >> Personal website: https://sites.google.com/view/hgdemarina
> >> Team member in the open-source UAV hardware and software project Paparazzi: https://wiki.paparazziuav.org
> >> _______________________________________________
> >> Paparazzi-devel mailing list
> >> [hidden email]
> >> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
> > _______________________________________________
> > Paparazzi-devel mailing list
> > [hidden email]
> > https://lists.nongnu.org/mailman/listinfo/paparazzi-devel
>
>
> _______________________________________________
> Paparazzi-devel mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/paparazzi-devel

_______________________________________________
Paparazzi-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/paparazzi-devel


--
Héctor García de Marina

Personal website: https://sites.google.com/view/hgdemarina
Team member in the open-source UAV hardware and software project Paparazzi: https://wiki.paparazziuav.org

_______________________________________________
Paparazzi-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/paparazzi-devel